View Issue Details

IDProjectCategoryView StatusLast Update
0000551SOGoWeb Generalpublic2010-04-13 10:26
ReporterJason Oster Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Target Version1.2.2Fixed in Version1.2.2 
Summary0000551: Multiple selections with CTRL not working on Linux.
Description

Clients on Windows can select multiple email messages by holding control while clicking. (And on OS X using the command key.) CTRL should also work on Linux, but does not.

See patch.

TagsNo tags attached.

Activities

2010-04-07 13:58

 

sogo-fix_ctrl_select.patch (925 bytes)   
#
# old_revision [3195b09187b07868c4802f6b524765608275befe]
#
# patch "UI/WebServerResources/generic.js"
#  from [9526cda1d22f8e96e75fc6d6cfde57c3454c2236]
#    to [9c122e645e8905d15c6dd1499e1f335ae0d76b33]
#
============================================================
--- UI/WebServerResources/generic.js	9526cda1d22f8e96e75fc6d6cfde57c3454c2236
+++ UI/WebServerResources/generic.js	9c122e645e8905d15c6dd1499e1f335ae0d76b33
@@ -486,7 +486,7 @@ function onRowClick(event) {
         // Ignore non primary-click (ie right-click) inside current selection
         return true;
 
-    if ((event.shiftKey == 1 || isMac() && event.metaKey == 1 || isWindows() && event.ctrlKey == 1)
+    if ((event.shiftKey == 1 || isMac() && event.metaKey == 1 || !isMac() && event.ctrlKey == 1)
         && (lastClickedRow >= 0)
         && (acceptMultiSelect(node.parentNode)
             || acceptMultiSelect(node.parentNode.parentNode))) {
sogo-fix_ctrl_select.patch (925 bytes)   
wcronen

wcronen

2010-04-12 14:44

reporter   ~0000928

For me the same with CentOS linux and latest nightly build.

A fixed version would be really great. Please include the patch.

wsourdeau

wsourdeau

2010-04-13 10:26

viewer   ~0000935

Fixed in 7bf6aa4c4f255fb364e7cc469b94bd6aac74bcea

Issue History

Date Modified Username Field Change
2010-04-07 13:58 Jason Oster New Issue
2010-04-07 13:58 Jason Oster File Added: sogo-fix_ctrl_select.patch
2010-04-12 14:44 wcronen Note Added: 0000928
2010-04-12 21:09 ludovic Status new => assigned
2010-04-12 21:09 ludovic Assigned To => wsourdeau
2010-04-12 21:09 ludovic Target Version => 1.2.2
2010-04-13 10:26 wsourdeau Note Added: 0000935
2010-04-13 10:26 wsourdeau Status assigned => resolved
2010-04-13 10:26 wsourdeau Fixed in Version => 1.2.2
2010-04-13 10:26 wsourdeau Resolution open => fixed